<?php


use Hura8\Components\Product\AdminController\AProductController;


$objAProductController = new AProductController();
$product_id = getRequestInt('id', 0);

$product_info = $objAProductController->getFullInfo($product_id);

$view_part = getRequest("part", "basic");

$view_part_file = str_replace("-", "_", $view_part);

$part_file = __DIR__."/form_components/". $view_part_file .".php";
if(@file_exists($part_file)) {
    include $part_file;
}else{
    die("File: /form_components/". $view_part_file .".php does not exist!");
}


return [
    "product_info" => $product_info,
    "product_menu" => _get_product_menu(),
    "view_part" => $view_part,
];

// helpers

function _get_product_menu() {
    $current_selected = getRequest('part', 'basic');
    $product_menu = array(
            array(
                'id' => 'basic',
                "name" => "Cơ bản",
            ),

            array(
                'id' => 'store',
                "name" => "Cửa hàng",
            ),

            array(
                'id' => 'category',
                "name" => "Danh mục",
            ),

            array(
                'id' => 'seo',
                "name" => "SEO",
            ),

            array(
                'id' => 'description',
                "name" => "Mô tả",
            ),

            array(
                'id' => 'spec-group',
                "name" => "Thông số kỹ thuật",//"Thông số",
            ),

            /*"spec" => array(
                "name" => "Thông số kỹ thuật nhập text", //"Bộ lọc thuộc tính", //"Thông số",
                "must_have_id" => true,
                "change_language" => true,
            ),*/

            /*"image-spec" => array(
                "name" => "Ảnh thông số",
                "must_have_id" => true,
                "change_language" => true,
            ),*/

            array(
                'id' => 'instruction',
                "name" => "Hướng dẫn sử dụng",
            ),

            array(
                'id' => 'image',
                "name" => "Ảnh",
            ),

            array(
                'id' => 'variant',
                "name" => "Cấu hình",
            ),

            array(
                'id' => 'accessory',
                "name" => "Phụ kiện",
            ),

            array(
                'id' => 'addon',
                "name" => "Dịch vụ/SP đi kèm",
            ),

            array(
                'id' => 'video',
                "name" => "Youtube",
            ),

            /* "video-list" => array(
                 "name" => "Thư viện Youtube",
                 "must_have_id" => true,
                 "change_language" => false,
             ),*/

            /*"relate-article" => array(
                "name" => "Nội dung liên quan",
                "must_have_id" => true,
                "change_language" => false,
            ),*/

            /*"web-link" => array(
                "name" => "So sánh giá",
                "must_have_id" => true,
                "change_language" => false,
            ),*/

            array(
                'id' => 'tag',
                "name" => "Tags",
            ),

            array(
                'id' => 'relation',
                "name" => "Nội dung liên quan",
            ),

            array(
                'id' => 'customer-group',
                "name" => "Giá theo nhóm khách hàng",
            ),

            array(
                'id' => 'component',
                "name" => "Thành phần",
            ),

            array(
                'id' => 'configurable',
                "name" => "Tùy chọn thành phần",
            ),

            array(
                'id' => 'compatible',
                "name" => "Sp tương thích",
            ),

            array(
                'id' => 'similar',
                "name" => "Sp tương tự",
            ),

            array(
                'id' => 'combo-set',
                "name" => "Combo Set",
            ),

        );

    return array_map(function ($item) use ($current_selected){
        $copy = $item;
        $copy['is_current'] = $item['id'] == $current_selected ? 1 : 0;

        return $copy;

    }, $product_menu);
}
